//---------------------------------------------------------------------------
#ifndef FileManagerH
#define FileManagerH
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\ExtCtrls.hpp>
#include <vcl\FileCtrl.hpp>
#include <vcl\Buttons.hpp>
#include <vcl\Graphics.hpp>
//---------------------------------------------------------------------------
class TFileScreen : public TForm
{
__published:	// IDE-managed Components
	TPanel *Panel1;
	TFileListBox *FileListBox1;
	TDirectoryListBox *DirectoryListBox1;
	TDriveComboBox *DriveComboBox1;
	TFilterComboBox *FilterComboBox1;
	TLabel *Label1;
	TBitBtn *FileScreenExit;
	TListBox *ListBox1;
	TLabel *Label2;
	TLabel *Label3;
	TButton *ClearLIST;
	TEdit *Counter;
	TLabel *Label4;
	TLabel *Label5;
	TLabel *Label6;
	TLabel *Label7;
	TLabel *Label8;
	TLabel *Label9;
	TBitBtn *Start;
	TButton *ClearLAST;
	TLabel *Label10;
	TLabel *Label11;
        TButton *Button1;
	void __fastcall FileScreenExitClick(TObject *Sender);
	void __fastcall FileListBox1MouseDown(TObject *Sender, TMouseButton Button,
	TShiftState Shift, int X, int Y);
	void __fastcall ListBox1DragOver(TObject *Sender, TObject *Source, int X,
	int Y, TDragState State, bool &Accept);
	void __fastcall ListBox1DragDrop(TObject *Sender, TObject *Source, int X,
	int Y);
	void __fastcall ClearLISTClick(TObject *Sender);
	void __fastcall ClearLASTClick(TObject *Sender);
	void __fastcall StartClick(TObject *Sender);
	void __fastcall FormShow(TObject *Sender);
	void __fastcall FormMouseUp(TObject *Sender, TMouseButton Button,
	TShiftState Shift, int X, int Y);
	void __fastcall FileListBox1DblClick(TObject *Sender);
        void __fastcall Button1Click(TObject *Sender);
        void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
private:	// User declarations
public:		// User declarations
    __fastcall TFileScreen(TComponent* Owner);
    int NumberOfFiles(String buff);
    void FileCounter();
    void DisplayFile();
};
//---------------------------------------------------------------------------
extern TFileScreen *FileScreen;
//---------------------------------------------------------------------------
#endif
