//---------------------------------------------------------------------------

#ifndef LastScreenH
#define LastScreenH
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\ExtCtrls.hpp>
#include <vcl\Buttons.hpp>
//---------------------------------------------------------------------------
class TRedDog : public TThread
{
   public:
      __fastcall TRedDog(void);
      void FileInput(int FileNum);
      float DataProcess(float Vi, float Vf);
      double Sqr(double x);
      void TimeStamp(void);
      double SigDigits(double NanoAmps);

   private:
      void __fastcall Execute(void);
};


//---------------------------------------------------------

class TReviewScreen : public TForm
{
__published:	// IDE-managed Components
        TPanel *Panel1;
        TLabel *Label1;
        TPanel *Panel2;
        TLabel *Label2;
        TBitBtn *BitBtn1;
        TBitBtn *Run;
        TListBox *ListBox1;
        TLabel *Label4;
        TLabel *number_Replicates;
        TLabel *Label5;
        TLabel *Omit_First;
        TLabel *Label6;
        TLabel *Smoothing_Num;
        TLabel *Label7;
        TBitBtn *EndProgram;
        TMemo *Memo1;
        void __fastcall StartOverClick(TObject *Sender);
        void __fastcall RunClick(TObject *Sender);
        void __fastcall EndProgramClick(TObject *Sender);
        void __fastcall FormShow(TObject *Sender);

        private:	// User declarations
        TRedDog *RedDog;

        public:		// User declarations
        __fastcall TReviewScreen(TComponent* Owner);
};


//---------------------------------------------------------------------------
extern PACKAGE TReviewScreen *ReviewScreen;
//---------------------------------------------------------------------------
#endif
